<?php

class m140902_115800_add_action_to_whitelisttable extends MyDbMigration
{
  public function up()
  {
    if ($this->dbConnection->schema->getTable('whitelisttable')->getColumn('action') == null)
      $this->addColumn('whitelisttable', 'action', 'string');
  }

  public function down()
  {
    if ($this->dbConnection->schema->getTable('whitelisttable')->getColumn('action') != null)
      $this->dropColumn('whitelisttable', 'action');

    return true;
  }
}
